Run of fresh-releases for golang-github-domainr-whois

Try this locally package):

debcheckout golang-github-domainr-whois
cd golang-github-domainr-whois
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
[2022-05-23 07:44:31] Opening branch at https://gitlab.com/kalilinux/packages/golang-github-domainr-whois.git/,branch=kali%2Fmaster
[2022-05-23 07:44:31] Using cached branch https://janitor.kali.org/git/golang-github-domainr-whois/,branch=kali%2Flatest
[2022-05-23 07:44:31] Using resume branch: https://janitor.kali.org/git/golang-github-domainr-whois,branch=fresh-releases%2Fmain
[2022-05-23 07:44:32] Total 2105 (delta 597), reused 1311 (delta 0)
Traceback (most recent call last):
  File "/opt/janitor/breezy/breezy/transport/local.py", line 155, in get
    return open(path, 'rb')
OSError: [Errno 24] Too many open files: '/home/janitor/tmp/janitorjrsqtwu4/golang-github-domainr-whois/.git/refs/tags/00b532f8-69cf-4ac3-8b1d-d7d5422ac3ab/main'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/silver-platter/silver_platter/utils.py", line 76, in create_temp_sprout
    stacked=use_stacking,
  File "/opt/janitor/breezy/breezy/git/dir.py", line 185, in sprout
    result, revision_id=revision_id, repository=result_repo)
  File "/opt/janitor/breezy/breezy/branch.py", line 1242, in sprout
    result, revision_id=revision_id, tag_selector=tag_selector)
  File "/opt/janitor/breezy/breezy/branch.py", line 1284, in copy_content_into
    revision_id=revision_id, tag_selector=tag_selector)
  File "/opt/janitor/breezy/breezy/branch.py", line 2167, in copy_content_into
    self.source.tags.merge_to(self.target.tags, selector=tag_selector)
  File "/opt/janitor/breezy/breezy/tag.py", line 113, in merge_to
    selector=selector)
  File "/opt/janitor/breezy/breezy/git/branch.py", line 221, in merge
    target_repo._git.refs[ref_name] = unpeeled or peeled
  File "/opt/janitor/dulwich/dulwich/refs.py", line 377, in __setitem__
    self.set_if_equals(name, None, ref)
  File "/opt/janitor/breezy/breezy/git/transportgit.py", line 273, in set_if_equals
    realnames, _ = self.follow(name)
  File "/opt/janitor/dulwich/dulwich/refs.py", line 292, in follow
    contents = self.read_ref(refname)
  File "/opt/janitor/dulwich/dulwich/refs.py", line 265, in read_ref
    contents = self.read_loose_ref(refname)
  File "/opt/janitor/breezy/breezy/git/transportgit.py", line 210, in read_loose_ref
    f = transport.get(urlutils.quote_from_bytes(name))
  File "/opt/janitor/breezy/breezy/transport/local.py", line 159, in get
    self._translate_error(e, path)
  File "/opt/janitor/breezy/breezy/transport/__init__.py", line 372, in _translate_error
    raise errors.TransportError(orig_error=e)
breezy.errors.TransportError: Transport error: [Errno 24] Too many open files: '/home/janitor/tmp/janitorjrsqtwu4/golang-github-domainr-whois/.git/refs/tags/00b532f8-69cf-4ac3-8b1d-d7d5422ac3ab/main' [Errno 24] Too many open files: '/home/janitor/tmp/janitorjrsqtwu4/golang-github-domainr-whois/.git/refs/tags/00b532f8-69cf-4ac3-8b1d-d7d5422ac3ab/main'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 1044, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/janitor/janitor/worker.py", line 703, in process_package
    ws.__enter__()
  File "/opt/janitor/silver-platter/silver_platter/workspace.py", line 181, in __enter__
    path=self._path,
  File "/opt/janitor/silver-platter/silver_platter/utils.py", line 95, in create_temp_sprout
    destroy()
  File "/opt/janitor/silver-platter/silver_platter/utils.py", line 61, in destroy
    shutil.rmtree(td)
  File "/usr/lib/python3.7/shutil.py", line 491, in rmtree
    _rmtree_safe_fd(fd, path, onerror)
  File "/usr/lib/python3.7/shutil.py", line 429, in _rmtree_safe_fd
    _rmtree_safe_fd(dirfd, fullname, onerror)
  File "/usr/lib/python3.7/shutil.py", line 429, in _rmtree_safe_fd
    _rmtree_safe_fd(dirfd, fullname, onerror)
  File "/usr/lib/python3.7/shutil.py", line 429, in _rmtree_safe_fd
    _rmtree_safe_fd(dirfd, fullname, onerror)
  File "/usr/lib/python3.7/shutil.py", line 410, in _rmtree_safe_fd
    onerror(os.scandir, path, sys.exc_info())
  File "/usr/lib/python3.7/shutil.py", line 406, in _rmtree_safe_fd
    with os.scandir(topfd) as scandir_it:
OSError: [Errno 24] Too many open files: '/home/janitor/tmp/janitorjrsqtwu4/golang-github-domainr-whois/.git/refs/heads'

Full worker log